## wrapsrv 0.1

=== Makefile ===
CC = gcc
CFLAGS = -O2 -g
WARN = -Wall -Wextra -Werror
INCLUDE = -I/usr/include/bind -I/usr/local/include/bind
LDFLAGS = -L/usr/local/lib -lbind
DESTDIR = /usr/local

BIN = wrapsrv
DOC = wrapsrv.1
SRC = wrapsrv.c

all: $(BIN) $(DOC)

$(BIN): $(SRC)
	$(CC) $(CFLAGS) $(WARN) -o $@ $(SRC) $(INCLUDE) $(LDFLAGS)

$(DOC): wrapsrv.docbook
	docbook2x-man $<

clean:
	rm -f $(BIN)

install: $(BIN)
	install -m 0755 $(BIN) $(DESTDIR)/bin

.PHONY: all clean install

## wrapsrv 0.2

=== Makefile ===
CC = gcc
WARN = -Wall -Wextra -Werror
CFLAGS = -O2 -g $(WARN)
INCLUDE =
LDFLAGS = -lresolv
DESTDIR = /usr/local

BIN = wrapsrv
DOC = wrapsrv.1
SRC = wrapsrv.c

all: $(BIN) $(DOC)

$(BIN): $(SRC)
	$(CC) $(CFLAGS) -o $@ $(SRC) $(INCLUDE) $(LDFLAGS)

$(DOC): wrapsrv.docbook
	docbook2x-man $<

clean:
	rm -f $(BIN)

install: $(BIN)
	install -m 0755 $(BIN) $(DESTDIR)/bin

.PHONY: all clean install

=== debian/changelog ===
wrapsrv (0.2-1) unstable; urgency=low

  * New upstream release:
    - Drops dependency on libbind in favor of the system libresolv.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 02 Jun 2011 16:36:24 -0400

wrapsrv (0.1-1) unstable; urgency=low

  * Initial release; closes: #535396.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 01 Jul 2009 21:02:52 -0400

=== debian/control ===
Source: wrapsrv
Section: net
Priority: optional
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.2

Package: wrapsrv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DNS SRV record command line wrapper
 wrapsrv adds support for connecting to a network service based on DNS SRV
 record lookups to commands that do not support the DNS SRV record. wrapsrv
 implements the weighted priority client connection algorithm in RFC 2782.
 The specified command line will be invoked one or more times with %h and %p
 sequences in the command line substituted for the hostname and port elements
 of the selected SRV record.

## wrapsrv 1.0.0

=== Makefile ===
CC = gcc
WARN = -Wall -Wextra -Werror
CFLAGS = -O2 -g $(WARN)
INCLUDE =
LDFLAGS = -lresolv
DESTDIR ?=
PREFIX = /usr/local

BINDIR ?= $(DESTDIR)$(PREFIX)/bin
MANDIR ?= $(DESTDIR)$(PREFIX)/share/man/man1

BIN = wrapsrv
MAN = wrapsrv.1
SRC = wrapsrv.c

all: $(BIN) $(DOC)

$(BIN): $(SRC)
	$(CC) $(CFLAGS) -o $@ $(SRC) $(INCLUDE) $(LDFLAGS)

$(MAN): wrapsrv.docbook
	docbook2x-man $<

clean:
	rm -f $(BIN)

install: $(BIN)
	mkdir -p $(BINDIR)
	mkdir -p $(MANDIR)
	install -m 0755 $(BIN) $(BINDIR)
	install -m 0644 $(MAN) $(MANDIR)

.PHONY: all clean install

=== debian/changelog ===
wrapsrv (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/p/0003: Don't override CFLAGS (Closes: #1119614)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 29 Oct 2025 21:25:12 +0100

wrapsrv (1.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Salvage Team
    Closes: #1093694
  * Add Homepage
  * Add watch file
  * d/rules: short dh
    Closes: #988266
  * debhelper-compat = 13
  * d/copyright:
     - DEP5
     - Review
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

  [ Lorenzo L. Ancora ]
  * Add missing fundamental information in the help.
    Closes: #948182

  [ Vagrant Cascadian ]
  * Pass --debug-prefix-map to avoid embedding build directory.
    Closes: #1020866

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2025 19:15:38 +0100

wrapsrv (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #998949)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 00:39:47 +0200

wrapsrv (1.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Uses a less predictable random seed.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 30 Jul 2014 17:26:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: wrapsrv
 Section: net
 Priority: optional
-Maintainer: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.2
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Robert S. Edmonds <edmonds@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/aespipe
+Vcs-Git: https://salsa.debian.org/salvage-team/aespipe.git
+Homepage: https://github.com/farsightsec/wrapsrv
 
 Package: wrapsrv
 Architecture: any
@@ -14,4 +18,4 @@
  implements the weighted priority client connection algorithm in RFC 2782.
  The specified command line will be invoked one or more times with %h and %p
  sequences in the command line substituted for the hostname and port elements
- of the selected SRV record. 
+ of the selected SRV record.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/farsightsec/wrapsrv/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
